#include <bits/stdc++.h>
#include "median.h"

signed main() {
    int c, t;
    std::cin >> c >> t;
    init(c, t);
    for (int _ = 0; _ < t; _++) {
        int n, k;
        std::cin >> n >> k;
        std::vector<int> a(n);
        for (int i = 0; i < n; i++) std::cin >> a[i];
        std::cout << median(n, k, a) << '\n';
    }
    return 0;
}
